Subject: RE: bug#10057: 24.0.91; doc string of `Info-find-file'

From: "Drew Adams" <[email-masked]>
Date: Tue, 15 Nov 2011 14:08:19 -0800

> > "Optional second argument NOERROR, if t, means if file is not found
> > just return nil (no error)."
>  
> > Sigh.  This says only what a value of `t' means.  It does 
> > not say what other non-nil values mean.  Please state clearly
> > and completely what NOERROR means.
>  
> Well, it does say that if you use a non-nil and non-t value, you're on
> your own.

No, it does _not_ say that.  It says nothing of the kind.  It says nothing about
non-nil and non-t.  Saying nothing is not the same thing as saying you're on
your own - far from it.

There is zero reason to mention any particular non-nil value here, unless there
really is something special about the behavior of that non-nil value.  Judging
by the email replies, there is not.

> So the only potentially missing doc is what happens when
> it's absent (aka nil), which is only explained in a indirect way.

There is no problem understanding what nil does.

You could have corrected this and made it crystal clear by now, by simply
changing `t' to `non-nil'.  Instead, defensive justification...